<?php 
session_set_cookie_params(0);
session_start();
require_once('../../Connections/odonto_connection1.php');
require_once('../../inc/utils.php');

if(isset($_SESSION['id_delivery'])) $id_delivery=$_SESSION['id_delivery'];
else $id_delivery = 0;

if(isset($_SESSION['inicio']))
{
	$codigo=$_SESSION['codigo'];
	$q = "SELECT negocio,mesa,sucursal,mozo,logeado,mozo FROM mesas WHERE codigo LIKE '$codigo' LIMIT 1";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
	$row = mysqli_fetch_assoc($rs);
	$mesa=$row[mesa];
	$negocio=$row[negocio];
	$sucursal=$row[sucursal];
	$mozo=$row[mozo];
	$logeado=$row[logeado];
	$zona_mozo=$row[mozo];
	/*
	$q = "SELECT habilitado FROM zonas WHERE zona LIKE '$zona_mozo' AND negocio = '$negocio'";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
	$row = mysqli_fetch_assoc($rs);
	$zona_habilitada=$row['habilitado']; // habilita aparicion de botones mozo y carta
	*/
	$zona_habilitada=0; // habilita aparicion de botones mozo y carta
	
}
else {
	session_destroy();
	header("Location:" . "http://ponderzone.com?vuelvealoguear=1");
	}

$logeado_session = $_SESSION['logeado_session'];
	
//tomar de base	
$q = "SELECT latitud,longitud,geoloc,imagen_index FROM datos WHERE negocio LIKE '$negocio' LIMIT 1";
$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
$row = mysqli_fetch_assoc($rs);
$latitud=$row[latitud];
$longitud=$row[longitud];
$geoloc=$row[geoloc];
$imagen_index=$row[imagen_index];
$dist_alcance = 100; //(en metros)

if(isset($_POST['button_form'])){
	
	$nombre = $_POST['nombre'];
	$nombre = stripAccents($nombre);
	$apellido = $_POST['apellido'];
	$apellido = stripAccents($apellido);
	$dni = $_POST['dni'];
	$dni = stripAccents($dni);
	$celular = $_POST['celular'];
	$celular = stripAccents($celular);
	$email = $_POST['email'];
	$email = stripAccents($email);
	if(!$mesa) $mesa = "";
	
	$q = "SELECT hora,dni FROM clientes WHERE dni LIKE $dni ORDER BY id_pac DESC LIMIT 1";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
	$row = mysqli_fetch_assoc($rs);
	$num_rows = mysqli_num_rows($rs);
	if($num_rows){
		$hora_registro = $row[hora];
		$date=date();
		$ahora=date_create($date);
		$ahora->modify('-3 hours');
		$hora_registro=date_create($hora_registro);
		$interval=date_diff($hora_registro,$ahora);	
		$ok_insertar = 0;
		if($interval->format('%i') >= 1 || $interval->format('%y') > 0 || $interval->format('%m') > 0 || $interval->format('%d') > 0 || $interval->format('%h') > 0) {
			$ok_insertar = 1;
		}
	}
	if($ok_insertar || !$num_rows){
		
		$q = "INSERT INTO clientes (id_pac,hora,nombre,apellido,dni,celular,email,cant,negocio,sucursal,mesa) VALUES (NULL,CURRENT_TIMESTAMP,'$nombre','$apellido','$dni','$celular','$email',NULL,'$negocio','$sucursal',$mesa);";
		$rs = mysqli_query($odonto_connection, $q) or die(mysqli_error());
		setcookie('dni_cliente', $dni , time() + 60 * 24 * 60 * 60);
	}
}

if(isset($_GET['mensaje']) && $_GET['mensaje'] != '0')
{
	$mensaje=$_GET['mensaje'];
	$query_rs_todos = "SELECT mesa,negocio,sucursal,mozo FROM mesas WHERE codigo LIKE '$codigo' LIMIT 1";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
	$mesa=$row_rs_ingreso0[mesa];
	$negocio=$row_rs_ingreso0[negocio];
	$sucursal=$row_rs_ingreso0[sucursal];
	//$descripcion=$row_rs_ingreso0['descripcion'];
	$mozo=$row_rs_ingreso0[mozo];

	if(!$id_delivery) $aviso="Mozo en mesa ".$mesa;
	else {
		$q = "SELECT apellido,nombre,celular,direccion FROM delivery WHERE id_delivery LIKE '$id_delivery'ORDER BY id_delivery DESC LIMIT 1";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
		$row = mysqli_fetch_assoc($rs);
		$apellido = $row[apellido]; 
		$nombre = $row[nombre];
		$celular = $row[celular];
		$direccion = $row[direccion];
		$aviso = "Mensaje de Cliente Externo: ".$apellido." ".$nombre."Tel: ".$celular." Direccion: ".$direccion;
	}

	$query_rs_tabla2 = "INSERT INTO avisos (id_avi,hora,latitud,longitud,negocio,sucursal,aviso,descrip,mozo,avisado,mensaje,puntaje,coment,sugerencias,id_delivery,codigo) VALUES (NULL,CURRENT_TIMESTAMP,null,null,'$negocio','$sucursal','$aviso',NULL,'$mozo',0,'$mensaje','7',NULL,NULL,0,'$codigo');";
	$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
	header("Location:" . "./index0.php");
}

if($_GET['carta'] )
{
	
	$query_rs_todos = "SELECT mesa,negocio,sucursal,mozo FROM mesas WHERE codigo LIKE '$codigo' LIMIT 1";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
	$mesa=$row_rs_ingreso0[mesa];
	$negocio=$row_rs_ingreso0[negocio];
	$sucursal=$row_rs_ingreso0[sucursal];
	//$descripcion=$row_rs_ingreso0['descripcion'];
	$mozo=$row_rs_ingreso0[mozo];

	$aviso="Carta en mesa ".$mesa;
	 
	$query_rs_tabla2 = "INSERT INTO avisos (id_avi,hora,latitud,longitud,negocio,sucursal,aviso,descrip,mozo,avisado,mensaje,puntaje,coment,sugerencias,id_delivery,codigo) VALUES (NULL,CURRENT_TIMESTAMP,null,null,'$negocio','$sucursal','$aviso',NULL,'$mozo',0,'$mensaje','7',NULL,NULL,0,'$codigo');";
	$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
	
	header("Location:" . "index0.php");
}

if(isset($_GET['cuenta']) && $_GET['cuenta'] == 1 )
{
	$forma = $_GET[forma];
	$query_rs_todos = "SELECT mesa,negocio,sucursal,mozo FROM mesas WHERE codigo LIKE '$codigo' LIMIT 1";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
	$mesa=$row_rs_ingreso0[mesa];
	$negocio=$row_rs_ingreso0[negocio];
	$sucursal=$row_rs_ingreso0[sucursal];
	//$descripcion=$row_rs_ingreso0['descripcion'];
	$mozo=$row_rs_ingreso0[mozo];

	$aviso="Cuenta en mesa ".$mesa." ".$forma;
	 
	$query_rs_tabla2 = "INSERT INTO avisos (id_avi,hora,latitud,longitud,negocio,sucursal,aviso,descrip,mozo,avisado,mensaje,puntaje,coment,sugerencias,id_delivery,codigo) VALUES (NULL,CURRENT_TIMESTAMP,null,null,'$negocio','$sucursal','$aviso',NULL,'$mozo',0,'$mensaje','7',NULL,NULL,0,'$codigo');";
	$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
	header("Location:" . "index0.php");
}

if($_GET['comentarios'])
{
	$comentarios=$_GET['comentarios'];
	$puntaje=$_GET['puntaje'];
	
	if(!$id_delivery) {
		$aviso="Calificacion en mesa ".$mesa;
		$id_delivery = 0;
	}
	else {
		$q = "SELECT apellido,nombre,celular,direccion FROM delivery WHERE id_delivery LIKE '$id_delivery'ORDER BY id_delivery DESC LIMIT 1";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
		$row = mysqli_fetch_assoc($rs);
		$apellido = $row[apellido]; 
		$nombre = $row[nombre];
		$celular = $row[celular];
		$direccion = $row[direccion];
		$aviso = "Calificacion del Cliente Externo: ".$apellido." ".$nombre."Tel: ".$celular." Direccion: ".$direccion.": ".$comentarios." Puntaje: ".$puntaje;
	}

	$query_rs_tabla2 = "INSERT INTO avisos (id_avi,hora,latitud,longitud,negocio,sucursal,aviso,descrip,mozo,avisado,hora_avisado,mensaje,puntaje,coment,sugerencias,id_delivery,codigo,limpiado) VALUES (NULL,CURRENT_TIMESTAMP,null,null,'$negocio','$sucursal','$aviso',NULL,'$mozo',0,CURRENT_TIMESTAMP,NULL,'$puntaje','$comentarios',NULL,'$id_delivery','$codigo',0);";
	$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());

	header("Location:" . "index0.php");
}

if(isset($_GET['suge']) && $_GET['suge'] != '0')
{
	$suge=$_GET['suge'];
	$query_rs_todos = "SELECT mesa,negocio,sucursal,mozo FROM mesas WHERE codigo LIKE '$codigo' LIMIT 1";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
	$mesa=$row_rs_ingreso0[mesa];
	$negocio=$row_rs_ingreso0[negocio];
	$sucursal=$row_rs_ingreso0[sucursal];
	$mozo=$row_rs_ingreso0[mozo];

	if(!$id_delivery) $aviso="Sugerencias en mesa ".$mesa;
	else {
		$q = "SELECT apellido,nombre,celular,direccion FROM delivery WHERE id_delivery LIKE '$id_delivery'ORDER BY id_delivery DESC LIMIT 1";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
		$row = mysqli_fetch_assoc($rs);
		$apellido = $row[apellido]; 
		$nombre = $row[nombre];
		$celular = $row[celular];
		$direccion = $row[direccion];
		$aviso = "Sugerencia del Cliente Externo: ".$apellido." ".$nombre."Tel: ".$celular." Direccion: ".$direccion.": ".$suge;
	}


	$query_rs_tabla2 = "INSERT INTO avisos (id_avi,hora,latitud,longitud,negocio,sucursal,aviso,descrip,mozo,avisado,mensaje,puntaje,coment,sugerencias,id_delivery,codigo) VALUES (NULL,CURRENT_TIMESTAMP,null,null,'$negocio','$sucursal','$aviso',NULL,'$mozo',0,NULL,7,NULL,'$suge',0,'$codigo');";
	$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
	header("Location:" . "index0.php");
}
?>
  
<!DOCTYPE HTML>
<html>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>PonderZone</title>

<?php 
require_once($_SERVER['DOCUMENT_ROOT'] .'/warn/bootstrap/bootstrap_js_gral.php');
require_once($_SERVER['DOCUMENT_ROOT'] .'/warn/bootstrap/bootstrap_css_gral.php');
?>

<link rel="stylesheet" href="estilos_mgp.css" />

<link href='https://fonts.googleapis.com/css?family=Handlee' rel='stylesheet'>

<?php require_once("../../inc/css_warn.php");?>

<script type="text/javascript">


function geoloc() {
		d=document.getElementById("demo");
		if (navigator.geolocation){
			navigator.geolocation.getCurrentPosition(showPosition,showError);
		}
		else {
			d.innerHTML="<p>Lo sentimos, tu dispositivo no admite la geolocalización.</p>";
			}
	}
	
function showPosition(position){
		var latitud_persona=position.coords.latitude;
		var longitud_persona=position.coords.longitude;
		//window.location="logueado.php?latitud="+latitud+"&longitud="+longitud;
		var lat_negocio = <?php echo $latitud;?>;
		var long_negocio = <?php echo $longitud;?>;
		var dist_alcance = <?php echo $dist_alcance;?>;
		
		var distancia = Dist(latitud_persona,longitud_persona,lat_negocio,long_negocio);//Retorna numero en Km
		if(distancia > dist_alcance) {
			distancia = "<h2 class='texto_sombra' style='color:white'>Estas fuera del area</h2>";
			//else distancia = "<h2 class='texto_sombra' style='color:white'>Estas dentro del area</h2>";
			d.innerHTML+= distancia;
			document.getElementById("container_id").style.display = "none";
		}
	}


function Dist(lat1, lon1, lat2, lon2) {
     rad = function (x) {
         return x * Math.PI / 180;
     }
 
     var R = 6378137;//Radio de la tierra en m
     var dLat = rad(lat2 - lat1);
     var dLong = rad(lon2 - lon1);
     var a = Math.sin(dLat / 2) * Math.sin(dLat / 2) + Math.cos(rad(lat1)) * Math.cos(rad(lat2)) * Math.sin(dLong / 2) * Math.sin(dLong / 2);
     var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1 - a));
     var d = R * c;
     return d.toFixed(3);//Retorna tres decimales
}

function showError(error) {

    switch(error.code) {
        case error.PERMISSION_DENIED:
            //alert("User denied the request for Geolocation.");
			document.getElementById("container_id").style.display = "none";
			document.getElementById("demo").innerHTML = "<h2 class='texto_sombra' style='color:white'>No permites localizacion</h2>";
			break;
		case error.POSITION_UNAVAILABLE:
            alert("Location information is unavailable.");
            break;
        case error.TIMEOUT:
            alert("The request to get user location timed out.");
            break;
        case error.UNKNOWN_ERROR:
            alert("An unknown error occurred.");
            break;
   }

}
function CartaPapel(){
	window.open("./index_carta.php","_parent");
}
function CuentaPlease(){
	window.open("./index_cuenta.php","_parent");
}
function myModal(id){
  if(id == 1) var mymodal = "#myModal_Moza";
  if(id == 2) var mymodal = "#myModal_Carta";
  if(id == 3) var mymodal = "#myModal_Cuenta";
  $(mymodal).modal({backdrop: false});
  }
  
var bandera = 0;

function AnimaMaxi(){
	var count = 0;
	var id = setInterval(frame, 700);
	var Carta_convencio = document.getElementById("Carta_Convencional_anim");
	var Carta_digital = document.getElementById("Carta_Digital_anim");
	var Cuenta = document.getElementById("Cuenta_anim");
	var Moza = document.getElementById("Moza_anim");
	function frame() {
		if (count == 0) {
		  	if(Carta_digital) document.getElementById("Carta_Digital_anim").className = "fas fa-sd-card";
		  	if(Carta_convencio) document.getElementById("Carta_Convencional_anim").className = "fas fa-atlas";
		  	//document.getElementById("Cuenta_anim").className = "fas fa-bell";
		  	if(Cuenta) document.getElementById("Cuenta_anim").className = "fas fa-money-bill-alt";
		  	//document.getElementById("Mozo_anim").className = "fas fa-hand-spock";
		  	document.getElementById("Calif_anim").className = "fas fa-edit";
		  	if(Moza) document.getElementById("Moza_anim").className = "fas fa-hand-spock";
			count++;
			} else {
			if(Carta_digital) document.getElementById("Carta_Digital_anim").className = "fas fa-sim-card";
			if(Carta_convencio) document.getElementById("Carta_Convencional_anim").className = "fas fa-book-open";
			//document.getElementById("Cuenta_anim").className = "far fa-bell";
			if(Cuenta) document.getElementById("Cuenta_anim").className = "far fa-money-bill-alt";
			//document.getElementById("Mozo_anim").className = "far fa-hand-spock";
			document.getElementById("Calif_anim").className = "far fa-edit";
			if(Moza) document.getElementById("Moza_anim").className = "far fa-hand-spock";
			
			count = 0;
		}
  }
}

function showUser(str) {
	<?php 
	$query_rs_todos = "SELECT informacion FROM informaciones WHERE negocio = '$negocio' AND informacion != '' AND ver LIKE 'si' LIMIT 1";
	$rs_ingreso_info = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso_info = mysqli_fetch_assoc($rs_ingreso_info);
	$info = $row_rs_ingreso_info['informacion'];

	$query_rs_todos = "SELECT mensaje FROM mesas WHERE codigo = '$codigo' AND mensaje != '' AND ver LIKE 'si' LIMIT 1";
	$rs_ingreso = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso = mysqli_fetch_assoc($rs_ingreso);
	//$cant_original= mysqli_num_rows($rs_ingreso);
	$msj = $row_rs_ingreso['mensaje'];

	$_SESSION['cuenta']= 0;
	
	?>	
		var msj = "<?php echo $msj;?>";
		var info = "<?php echo $info;?>";
		var codigo = "<?php echo $codigo;?>";
		var negocio = "<?php echo $negocio;?>";
		//alert(info);
		
		if (str == "") {
			document.getElementById("txtHint").innerHTML = "";
			return;
		} else { 
			if (window.XMLHttpRequest) {
				// code for IE7+, Firefox, Chrome, Opera, Safari
				xmlhttp = new XMLHttpRequest();
			} else {
				// code for IE6, IE5
				xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
			}
			xmlhttp.onreadystatechange = function() {
				if (this.readyState == 4 && this.status == 200) {
					document.getElementById("txtHint").innerHTML = this.responseText;
					var vemos = this.responseText;
					if(vemos == "---"){
							//alert(vemos);
							myFunction();
					}
			}
			};
			//xmlhttp.open("GET","getuser.php?q="+str,true);
			xmlhttp.open("GET","./getuser_index0.php?msj="+msj+"&codigo="+codigo+"&info="+info+"&negocio="+negocio,true);
			xmlhttp.send();

				
		}
		
	}

function myFunction() {
	  window.open("index0.php" , '_parent');
	}


function myFunction0(bot) {
		var bot;
		var id_numerico = bot+'_numerico';
		var item = document.getElementById(id_numerico);
		var  child=document.createElement("div");
		child.id= id_numerico;
		child.innerHTML = "<div class='spinner-border' style='color:#fff;position:relative;left:50%;top:-4rem;font-size:1rem'></div>";
		item.appendChild(child);
		
		window.open("./auxi_warn0.php?boton="+bot,"_parent");
	}

function mySpinner(bot) {
		var bot;
		var id_numerico = bot+'_numerico';
		var item = document.getElementById(id_numerico);
		var  child=document.createElement("div");
		child.id= id_numerico;
		child.innerHTML = "<div class='spinner-border' style='color:#fff;position:relative;left:50%;top:-4rem;font-size:1rem'></div>";
		item.appendChild(child);
		
	}

var eligiendo = 0;

function miCancelar(id){

		window.open("./index0.php","_parent");
		return;
}

</script>

</head>
<body onload="setInterval('showUser()',2000);AnimaMaxi()<?php if($geoloc) echo ",geoloc()";?>">

<div class="container-fluid text-center align-icons-center">
	<div class="row">
		<div class="col">
			<div id="demo"></div>
		</div>
	</div>
</div>
<div class="container" id="container_id">
<?php
	
	$query_rs_todos = "SELECT nombre,zona_reparto,imagen_logo FROM datos WHERE negocio LIKE '$negocio'";
	$rs_ingreso5 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso5 = mysqli_fetch_assoc($rs_ingreso5);
	$nombre_negocio = $row_rs_ingreso5[nombre];
	$zona_reparto = $row_rs_ingreso5[zona_reparto];
	$imagen_logo = $row_rs_ingreso5[imagen_logo];
	
	$colorfondo = '#000';
	$colorletra = '#fff';
	echo "<div class='row text-left align-icons-center' style='background-color:$colorfondo'>";
	echo "<div class='col-10'>";
	echo "<font style='font-size:1.9rem;color:$colorletra'>";
	$link_imagen = "fondos/".$negocio."/".$imagen_logo;
	if(file_exists($link_imagen)) echo "<img src=$link_imagen style='width:15%'>";
	else echo "<i class='fas fa-home'></i>";
	echo " <b>".$row_rs_ingreso5['nombre'];
echo " ";
	echo "</b></font>";
	echo "</div>";

	echo "<div class='col-2'>";
	//echo "Mesa: ".$mesa." ";
	if($id_delivery) {
		$deslogueo = "logueado.php?regist=1";
		$iconify = 1;
		}
	else {
		$deslogueo = "logueado.php?deslogueo=1";
	}
	echo "<a href='".$deslogueo."'><font style='font-size:1.8rem;color:$colorletra'><b>";
	if(!$iconify){
		echo "<i class='fas fa-sign-out-alt'></i>";
	}
	else echo "<i class='fas fa-chevron-circle-left'></i>";
	echo "</font></a></div>";
	echo "</div>";
?>
<div class="container-fluid">
<?php 
			
if($msj || $info){
echo '<div class="row">
		<div class="col">
			<HR>
		</div>
	</div>';
 }?>
<div class='row text-center'>
	<div class='col'>
		<div id="txtHint"></div>
	</div>
</div>
</div>
<?php

if(!$id_delivery && $zona_habilitada){
echo "<br>
<button type=\"button\" class=\"btn btn-outline-light texto_sombra btn-lg btn-circle btn-xl pt-2 pb-2\" style=\"height:4rem;font-size:1.8rem\" name=\"mozo\" id=\"bot_1\" onclick=\"myModal(1)\" ><b>Moz@ <i id='Moza_anim'></i></b><br></button><div id='1_numerico'><div id='div_1'></div></div>
";
}

$q = "SELECT concarta,conarmarpedido FROM datos WHERE negocio LIKE '$negocio' LIMIT 1";
$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
$row = mysqli_fetch_assoc($rs);
$concarta=$row['concarta']; //si concarta es 0 muestra SOLICITAR CARTA si es 1 no lo muestra
$conarmarpedido=$row['conarmarpedido']; //si conarmarpedido es 0 muestra ARMAR PEDIDO si es 1 no lo muestra

if($conarmarpedido != 1){ //boton de carta digital
	echo "<br>";
	echo "<button type='button' class='btn btn-outline-light btn-circle texto_sombra btn-xl pt-2 pb-2 align-icons-center' style='height:4rem;font-size:1.8rem' name='pedido' onclick='myFunction0(6)' ><b>Menu Virtual <i id='Carta_Digital_anim'></i></b></button><div id='6_numerico'></div><div id='6_numerico'></div>"; 
}

if($concarta != 1 && !$id_delivery ){
	echo "<br>";
	echo "<button type='button' class='btn btn-outline-light btn-lg btn-circle texto_sombra btn-xl pt-2 pb-2' style='height:4rem;font-size:1.8rem;color:white' name='carta' id=\"bot_2\"  onclick='myModal(2)' ><b>Carta común <i id='Carta_Convencional_anim'></i><b><br></b></button><div id='2_numerico'><div id='div_2'></div></div>";
}

if(!$id_delivery && $zona_habilitada){

echo "<br><button type='button' class='btn btn-outline-light  texto_sombra btn-lg btn-circle btn-xl pt-2 pb-2' style='height:4rem;font-size:1.8rem' name='cuenta' id=\"bot_3\" onclick='myModal(3)' ><b>La Cuenta <i id='Cuenta_anim'></i><b><br></b></button><div id='3_numerico'><div id='div_3'></div></div>";

}
	?>
	
<div class="row">
	<div class="<?php echo 'col';?>"><br>
	<button type="button" class="btn btn-outline-dark texto_sombra btn-circle btn-xl pt-3 pb-3" style="font-size:1.3rem;color:white;border-color:darkgrey" name="servicio" onclick="myFunction0(4)"><i id='Calif_anim'></i> <b><?php echo "Calificanos / Sugerinos";?></b></button><div id='4_numerico'></div>
	</div>
</div>
<div class="<?php echo 'col';?>"><br><br>
	<button type="button" class="btn btn-<?php 
	if($id_delivery) echo "info";
	?> degrade3 btn-circle1 btn-xl pt-3 pb-3" style="font-size:1.3rem;border-color:black;color:darkorange;<?php if(!$id_delivery) echo 'display:none';?>" name="sugerencias" onclick="myFunction0(8)"><b><?php 
	if($id_delivery) {
		$q = "SELECT nombre FROM delivery WHERE id_delivery LIKE '$id_delivery'";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
		$row = mysqli_fetch_assoc($rs);
		$nombre = $row['nombre']; 
		echo "Decinos lo que quieras";
		} ?></b></button><div id='8_numerico'></div>
</div>

<?php if($id_delivery){
	echo '<div class="row text-center"><div class="col" style="font-size:1.8rem;color:#D0DC17;background-color:transparent">
		<br><b><u>Zona de Reparto</u><br>'.stripAccents($zona_reparto).'</b>
	</div></div>';
}
?>
</div>
<!--
<div class="row text-right">
	<div class="col">
		<font style='font-size:0.8rem;color:white;background-color:black'><b>Powered by PONDERZONE SYSTEMS</b></font>
	</div>
</div>
-->
<div id="number" style="color:white"></div>
</div>

</div>

<?php

$color_fondo_cabecera_modal = "black";					
$color_letra_arriba_modal = "white";
$color_fondo_cuerpo_modal = "white";					
$color_footer_modal = "lightgrey";

echo '<!-- The Modal -->
	<div class="modal fade" id="myModal_Moza" >
	<div class="modal-dialog modal-dialog-centered">
	<div class="modal-content">

	<!-- Modal Header -->
	<div class="modal-header" style="background-color:'.$color_fondo_cabecera_modal.';border-color:'.$color_fondo_cabecera_modal.'">
	<h3 class="modal-title" style="color:'.$color_letra_arriba_modal.'"><b>Llamar Moz@</b></h3>
	<button type="button" class="close" data-dismiss="modal">&times;</button>
	</div>
	<!-- Modal body -->
	<div class="modal-body text-white" style="background-color:'.$color_fondo_cuerpo_modal.'">';
		echo "Llama al Moz@ <br><form action='./index_mozo1.php' method='GET'><div class='form-group'><input type='form-group' maxlength='200' class='form-control' id='mensaje' placeholder='Podés Decirle Algo...Sino OK' name='mensaje' style='height:4rem;border-radius:7px'></div>";
	echo '
	</div>
	
	<!-- Modal footer -->
	<div class="modal-footer" style="background-color:'.$color_footer_modal.';border-color:'.$color_footer_modal.'">
		<div class="row">
			<div class="col">
				<button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cancelar</button>
			</div>
			<div class="col">
				<button class="btn btn-dark text-left" ><i class="fas fa-thumbs-up"></i> OK</a>
			</div>
		</div>
	</div>
	</form>
	</div>
	</div>
	</div>
	';
	
	
echo '<!-- The Modal -->
	<div class="modal fade" id="myModal_Carta" >
	<div class="modal-dialog modal-dialog-centered">
	<div class="modal-content">

	<!-- Modal Header -->
	<div class="modal-header" style="background-color:'.$color_fondo_cabecera_modal.';border-color:'.$color_fondo_cabecera_modal.'">
	<h3 class="modal-title" style="color:'.$color_letra_arriba_modal.'"><b>Quiero la Carta</b></h3>
	<button type="button" class="close" data-dismiss="modal">&times;</button>
	</div>
	<!-- Modal body -->
	<div class="modal-body text-white" style="background-color:'.$color_fondo_cabecera_modal.'"><h3 class=text-white>convencional (de papel)</h3></div>
	
	<!-- Modal footer -->
	<div class="modal-footer" style="background-color:'.$color_footer_modal.';border-color:'.$color_footer_modal.'">
	<div class="row">
	<div class="col">
	<button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cancelar</button>
	</div>
	<div class="col">
	<button class="btn btn-dark text-left" onclick="CartaPapel()"><i class="fas fa-thumbs-up"></i> OK</a>									
	</div>
	</div>
	</div>

	</div>
	</div>
	</div>
	';
	
echo '<!-- The Modal -->
	<div class="modal fade" id="myModal_Cuenta" >
	<div class="modal-dialog modal-dialog-centered">
	<div class="modal-content">

	<!-- Modal Header -->
	<div class="modal-header" style="background-color:'.$color_fondo_cabecera_modal.';border-color:'.$color_fondo_cabecera_modal.'">
	<h3 class="modal-title" style="color:'.$color_letra_arriba_modal.'"><b>Quiero la Cuenta</b></h3>
	<button type="button" class="close" data-dismiss="modal">&times;</button>
	</div>
	<!-- Modal body -->
	<div class="modal-body text-white" style="background-color:'.$color_fondo_cabecera_modal.'">
	 <br><form action="./index_cuenta.php" method="GET"><div class="form-group">
	 	<h6>Forma pago:</h6>
		<select class="form-control" id="forma" name="forma">
			<option value="Efectivo">Efectivo</option>
			<option value="Tarjeta">Tarjeta</option>
		}
		</select>
	</div>
	
	<!-- Modal footer -->
	<div class="modal-footer" style="background-color:'.$color_footer_modal.';border-color:'.$color_footer_modal.'">
	<div class="row">
	<div class="col">
	<button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cancelar</button>
	</div>
	<div class="col">
	<button class="btn btn-dark text-left" onclick="CuentaPlease()"><i class="fas fa-thumbs-up"></i> OK</a>									
	</div>
	</form>
	</div>
	</div>

	</div>
	</div>
	</div>
	';
	
	?>

</body>
</html>